> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate a Passkey Intelligence ruleset

> Activates a specific ruleset using rulesetID

Required API key permission: `rulesets:write`.



## OpenAPI

````yaml /api-reference/openapi/connect-backend.yaml post /passkeyIntelligence/{projectID}/rulesets/{rulesetID}/activate
openapi: 3.1.1
info:
  version: 2.0.0
  title: Corbado Backend API
  description: >
    # Introduction

    This documentation gives an overview of all Corbado Backend API calls to
    implement passwordless authentication with Passkeys.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://backendapi.cloud.corbado.io/v2
security:
  - basicAuth: []
  - bearerAuth: []
tags:
  - name: ConnectTokens
    description: All API calls to manage connectTokens
    x-group: Connect tokens
  - name: Passkeys
    description: All API calls for passkey flows
    x-group: Passkey ceremonies
  - name: Users
    description: All API calls to manage users
    x-group: Users and passkeys
  - name: Identifiers
    description: All API calls to manage login identifiers
    x-group: Identifiers
  - name: PasskeyEvents
    description: All API calls to manage passkey events
    x-group: Passkey diagnostics
  - name: PasskeyChallenges
    description: All API calls to manage passkey challenges
    x-group: Passkey diagnostics
  - name: Exports
    description: All API calls to manage project export files
    x-group: Data exports
  - name: Connect reads
    description: Connect analytics, process investigation and configuration reads.
    x-group: Analytics and configuration
  - name: ConnectManagement
    description: Connect application and native-app configuration management.
    x-group: App configuration
  - name: ConnectRollout
    description: Connect rollout configuration, rulesets, targeting and simulations.
    x-group: Rollout configuration
  - name: Sessions
    description: All API calls to manage sessions
  - name: Challenges
    description: All API calls to manage challenges
  - name: SSO
    description: All API calls for SSO flows
  - name: AuthEvents
    description: All API calls to manage authentication events
  - name: ProjectConfig
    description: All API calls to manage project configurations
  - name: WebhookEndpoints
    description: All API calls to manage webhook endpoints
  - name: PasswordManagers
    description: All API calls to manage password managers
  - name: ClientEnvs
    description: All API calls to manage client environments
  - name: Devices
    description: All API calls to manage devices
paths:
  /passkeyIntelligence/{projectID}/rulesets/{rulesetID}/activate:
    post:
      tags:
        - ConnectManagement
      summary: Activate a Passkey Intelligence ruleset
      description: |-
        Activates a specific ruleset using rulesetID

        Required API key permission: `rulesets:write`.
      operationId: publicPasskeyIntelligenceRulesetActivate
      parameters:
        - name: rulesetID
          in: path
          description: The ruleset ID
          required: true
          schema:
            type: string
        - name: projectID
          in: path
          description: The project ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ConnectReadBackendPasskeyIntelligenceRulesetActivateReq
      responses:
        '200':
          description: Operation succeeded
          content:
            application/json:
              schema:
                type: object
                required:
                  - httpStatusCode
                  - message
                  - requestData
                  - runtime
                properties:
                  httpStatusCode:
                    description: HTTP status code of operation
                    type: integer
                    format: int32
                  message:
                    type: string
                    example: OK
                  requestData:
                    description: Data about the request itself, can be used for debugging
                    type: object
                    required:
                      - requestID
                    properties:
                      requestID:
                        description: >-
                          Unique ID of request, you can provide your own while
                          making the request, if not the ID will be randomly
                          generated on server side
                        type: string
                        example: req-557...663
                      link:
                        description: Link to dashboard with details about request
                        type: string
                        example: >-
                          https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx
                  runtime:
                    description: Runtime in seconds for this request
                    type: number
                    format: float
                    example: 0.06167686
        default:
          description: Error
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    required:
                      - httpStatusCode
                      - message
                      - requestData
                      - runtime
                    properties:
                      httpStatusCode:
                        description: HTTP status code of operation
                        type: integer
                        format: int32
                      message:
                        type: string
                        example: OK
                      requestData:
                        description: >-
                          Data about the request itself, can be used for
                          debugging
                        type: object
                        required:
                          - requestID
                        properties:
                          requestID:
                            description: >-
                              Unique ID of request, you can provide your own
                              while making the request, if not the ID will be
                              randomly generated on server side
                            type: string
                            example: req-557...663
                          link:
                            description: Link to dashboard with details about request
                            type: string
                            example: >-
                              https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx
                      runtime:
                        description: Runtime in seconds for this request
                        type: number
                        format: float
                        example: 0.06167686
                  - type: object
                    required:
                      - error
                    properties:
                      data:
                        type: object
                      error:
                        type: object
                        required:
                          - type
                        properties:
                          type:
                            description: Type of error
                            type: string
                          details:
                            description: Details of error
                            type: string
                          validation:
                            description: Validation errors per field
                            type: array
                            items:
                              type: object
                              required:
                                - field
                                - message
                              properties:
                                field:
                                  type: string
                                message:
                                  type: string
                          links:
                            description: Additional links to help understand the error
                            type: array
                            items:
                              type: string
      security:
        - basicAuth: []
        - bearerAuth:
            - rulesets:write
components:
  schemas:
    ConnectReadBackendPasskeyIntelligenceRulesetActivateReq:
      type: object
      properties:
        requestID:
          description: >-
            Unique ID of request, you can provide your own while making the
            request, if not the ID will be randomly generated on server side
          type: string
          example: req-557...663
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Basic authentication is used to authenticate requests to the Backend
        API. The username is the project ID and the password is the API secret.


        The project ID and API secret can be found in the [Management
        Console](https://app.corbado.com/settings/api-secrets).
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your versioned Backend API key. The key must grant the operation
        permission and satisfy its expiry and IP restrictions.

````